<template>
  <section class="grid-template glasses-section" v-if="glassesArray">
    <div v-for="item in glassesArray" :key="item.id" class="glasses-image-container">
      <div class="glass-title-wrapper">
        <p class="glass-title">{{ item.name }}</p>
      </div>
      <img
        class="glasses-image"
        :src="item.glass_variants[0].media[0].url"
        @load="handleImageLoad"
      />
    </div>
  </section>
</template>

<script lang="ts">
import { type Glass } from '@/types/glasses'

export default {
  props: {
    glassesArray: {
      type: Array as () => Glass[]
    }
  },
  data() {
    return {
      isImageLoaded: false
    }
  },
  methods: {
    handleImageLoad() {
      this.isImageLoaded = true
    }
  }
}
</script>
